#
# spec file for package hitori
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hitori
Version:        3.16.2
Release:        8.2
Summary:        Original puzzle of Nikoli
License:        GPL-3.0+
Group:          Amusements/Games/Logic
Url:            https://live.gnome.org/Hitori
Source:         http://download.gnome.org/sources/hitori/3.16/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.35.0
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(cairo) >= 1.4
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.15.0
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Hitori is played with a grid of squares or cells, and each cell contains a number.
The objective is to eliminate numbers by filling in the squares such that remaining cells do not
contain numbers that appear more than once in either a given row or column.

Filled-in cells cannot be horizontally or vertically adjacent, although they can be diagonally
adjacent. The remaining un-filled cells must form a single component connected horizontally
and vertically.

%lang_package
%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}
%suse_update_desktop_file %{name}

%post
%icon_theme_cache_post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_datadir}/glib-2.0/schemas/org.gnome.hitori.gschema.xml
%dir %{_datadir}/appdata/
%{_datadir}/appdata/hitori.appdata.xml

%files lang -f %{name}.lang

%changelog
* Sat Dec  5 2015 badshah400@gmail.com
- Update to version 3.16.2 (boo#954734):
  + Fix build error with Clang.
  + Updated translations.
* Sat May  2 2015 zaitor@opensuse.org
- Update to version 3.16.1:
  + Updated symbolic icon.
* Tue Apr 14 2015 zaitor@opensuse.org
- Update to version 3.16.0:
  + Port to GResource for UI and CSS.
  + Minor menu tweaks.
  + Updated translations.
* Thu Mar  5 2015 dimstar@opensuse.org
- Update to version 3.14.3:
  + Updated translations.
* Tue Dec 16 2014 zaitor@opensuse.org
- Update to version 3.14.2.1:
  + Revert string freeze break.
* Sun Dec 14 2014 badshah400@gmail.com
- Update to version 3.14.2:
  + data: Add <summary> element to the AppData file.
  + Updated translations.
* Thu Nov 13 2014 zaitor@opensuse.org
- Update to version 3.14.1:
  + Updated translations.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.14.0.1:
  + Re-release: autoreconf with up-to-date appstream-glib; fixes
    install location for hitori.appdata.xml.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated translations.
* Tue Sep 16 2014 dimstar@opensuse.org
- Update to version 3.13.92:
  + Minor UI and translation updates.
  + Minor build system updates.
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Follow guidelines for including license info in help.
  + Updated translations.
* Fri Jul 25 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Updated translations.
- Add glib_schema macros, as we now install a schema.xml - file.
* Wed Jul  9 2014 zaitor@opensuse.org
- Update to version 0.4.5:
  + Minor fixes to the board rendering and timer.
- Changes from version 0.4.4:
  + Fix various small memory leaks.
  + Fix behaviour of the redo stack.
  + Updated translations.
* Sun May  4 2014 zaitor@opensuse.org
- Update to version 0.4.3:
  + Updated translations.
- Changes from version 0.4.2:
  + Add an AppData file.
  + Updated translations.
- Changes from version 0.4.1:
  + Fix timer pausing on winning a game.
  + Updated translations.
* Wed Mar  6 2013 dimstar@opensuse.org
- Initial package, version 0.4.0.
